% DapOutMinInteger.m
% aegrumet@alum.mit.edu
% November 4, 1999
%
% Returns the maximum available integer for DAP analog output

function MaxInteger = DapOutMaxInteger()

global InstrumentConfig;

FullScaleInteger = InstrumentConfig.Dap.AnalogOutFullScaleInteger;

MaxInteger = 16*floor((FullScaleInteger-1)/16);

