function RTsw(action)

global ui;

switch action

  % Decrease Percent Change
  case 'pcl'

    PresentVal = str2num(get(findobj('Tag','PercentChange'),'String'));
    NewVal = max(5,(PresentVal-5));
    set(findobj('Tag','PercentChange'),'String',num2str(NewVal));

  % Increase Percent Change
  case 'pcg'

    PresentVal = str2num(get(findobj('Tag','PercentChange'),'String'));
    NewVal = PresentVal+5;
    set(findobj('Tag','PercentChange'),'String',num2str(NewVal));

  case 'save1'

    RTsave1(get(gcbo,'String'));
    set(gcbo,'Enable','off');

  case 'save2'
    RTsave2;
    set(gcbo,'Enable','off');

  case 'xrange'
    ui.RTxrange = get(gcbo,'Value');
    RTPltDat;

  case 'xmin'
    ui.RTxmin = str2num(get(gcbo,'String'));
    RTPltDat;

  case 'xmax'
    ui.RTxmax = str2num(get(gcbo,'String'));
    RTPltDat;

  case 'ymin'
    ui.RTymin = str2num(get(gcbo,'String'));
    RTPltDat;

  case 'ymax'
    ui.RTymax = str2num(get(gcbo,'String'));
    RTPltDat;

  case 'zoom'
    ui.RTzoom = get(gcbo,'Value');
    RTPltDat;

end
