function tpstrct = TPistrct(x)
%TPistrct: Returns 1 if input is tp type, 0 otherwise

tpstrct = 1;

if ~isstruct(x)
  tpstrct = 0;
  return
end

tp = TPDfault;
tpfields = fieldnames(tp);
xfields = fieldnames(x);

if size(tpfields,1) ~= size(xfields,1)
  tpstrct = 0;
  return
end

if sum(strcmp(tpfields,xfields)) ~= size(tpfields,1)
  tpstrct = 0;
  return
end
