function SHsw(action)

val = get(findobj('Tag','SHpop'),'Value');
waves = get(findobj('Tag','SHax'),'Children');

axHandle = findobj('Tag','SHax');
axes(axHandle)
ax = axis;
xinc = .01*(ax(2)-ax(1));
yinc = .01*(ax(4)-ax(3));

xdata = get(waves(val),'XData');
ydata = get(waves(val),'YData');

switch action

  case 'newwave'
    set(waves,'Color','b');
    set(waves(val),'Color','r')

  case 'left'
    set(waves(val),'XData',xdata-xinc);

  case 'right'
    set(waves(val),'XData',xdata+xinc);

  case 'up'
    set(waves(val),'YData',ydata+yinc);

  case 'down'
    set(waves(val),'YData',ydata-yinc);

end
