function grab(action)

global h;
global x;
global y;

switch action
  case 'start'
    currPt = get(gca,'CurrentPoint');
    x = currPt(1,1);
    y = currPt(1,2);
    hold on
    h = plot([x x+1 x+1 x x],[y y y+1 y+1 y],'--');
    set(h,'EraseMode','xor')
    hold off
    set(gcbf,'WindowButtonMotionFcn','grab move')
    set(gcbf,'WindowButtonUpFcn','grab stop')
  case 'move'
    currPt = get(gca,'CurrentPoint');
    set(h,'XData',[x currPt(1,1) currPt(1,1) x x],'YData',[y y currPt(1,2) currPt(1,2) y]);
  case 'stop'
    currAx = get(h,'Parent');
    delete(h); drawnow;
    currPlt = findobj('Parent',currAx,'Type','line');
    set(gcbf,'WindowButtonMotionFcn','')
    set(gcbf,'WindowButtonUpFcn','')
    currPt = get(gca,'CurrentPoint');
    xmin = min(x,currPt(1,1));
    xmax = max(x,currPt(1,1));
    imin = min(find((get(currPlt,'XData') > xmin)));
    imax = max(find((get(currPlt,'XData') < xmax)));
    xdata = get(currPlt,'XData');
    ydata = get(currPlt,'YData');
    figure
    plot(xdata(imin:imax),ydata(imin:imax))
    figure(gcbf)
end

    
