% DapRset.m
% aegrumet@alum.mit.edu
% November 1, 1999
%
% Reset the DAP.

function DapRset()

% Open text and binary handles to ACCEL device

textinhandle = dapopen('\\.\dap0\$sysin', 'write');
if textinhandle == -1
   error('Error opening DAP textin handle')
end

binouthandle = dapopen('\\.\dap0\$binout', 'read');
if binouthandle == -1
   error('Error opening DAP binout handle')
end

textouthandle = dapopen('\\.\dap0\$sysout', 'read');
if textouthandle == -1
   error('Error opening DAP textout handle')
end
   
% Reset the DAP
dappstr(textinhandle,'reset');

% Flush PC-bound data
dapflush(binouthandle);
dapflush(textouthandle);

% Close text and binary handles to ACCEL device
textinclose = dapclose(textinhandle);
if textinclose==0
   error('Error closing DAP textin handle')
end

textoutclose = dapclose (textouthandle);
if textoutclose==0
   error('Error closing DAP textout handle')
end

binoutclose = dapclose (binouthandle);
if binoutclose==0
   error('Error closing DAP binout handle')
end



