% RTDapNit.m
% aegrumet@alum.mit.edu
% November 2, 1999
%
% Configure DAP for measuring thresholds.

function RTDapNit()

global IntrfcRoot;

% Open text handle to ACCEL device

textinhandle = dapopen('\\.\dap0\$sysin', 'write');
if textinhandle == -1
   error('Error opening DAP textin handle')
end

% Configure DAP using DAPL command file twpls.dap
cnfg = dapcnfig(textinhandle, [IntrfcRoot '\dap\recthrsh.dap']);
if cnfg < 1
   error('Error configuring DAP')  % Print error message
end

% Brief pause to make sure DAP is configured
tic
while toc < .1
end

% Close text handle to ACCEL device
textinclose = dapclose(textinhandle);
if textinclose==0
   error('Error closing DAP textin handle')
end


