% RTDapRd.m
% aegrumet@alum.mit.edu
% November 2, 1999
%
% Read threshold and monitor data from the DAP board.
%

function data = RTDapRd()

binouthandle = dapopen('\\.\dap0\$binout', 'read');
if binouthandle == -1
   error('Error opening DAP binout handle')
end

% Get the data
data = reshape(dapgbuf(binouthandle,3000),3,1000);

binoutclose = dapclose (binouthandle);
if binoutclose==0
   error('Error closing DAP binout handle')
end

