function RTDrawCurs()
%add cursor lines too all three plots

global rt;

% make rt.top the larger curser
if rt.bot > rt.top
  temp = rt.bot;
  rt.bot = rt.top;
  rt.top = temp;
end

% make rt.lft the leftmost curser
if rt.lft > rt.rgt
  temp = rt.lft;
  rt.lft = rt.rgt;
  rt.rgt = temp;
end

axes(findobj('Tag','RTSupra'));
hold on;

% Make sure cursers are within plot
ax = axis;
if rt.top > ax(4)
  rt.top = ax(3) + (.9*(ax(4)-ax(3)));
end
if rt.bot < ax(3)
  rt.bot = ax(3) + (.1*(ax(4)-ax(3)));
end
if rt.rgt > ax(2)
  rt.rgt = ax(1) + (.9*(ax(2)-ax(1)));
end
if rt.lft < ax(1)
  rt.lft = ax(1) + (.1*(ax(2)-ax(1)));
end

plot([0 10],[rt.top rt.top],'r','EraseMode','xor','ButtonDownFcn', ...
                  'RTMoveCurs topstart','Tag','RTtop');
plot([0 10],[rt.bot rt.bot],'r','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs botstart','Tag','RTbot');
plot([rt.lft rt.lft+.01],[-5 5],'k','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs lftstart','Tag','RTlft');
plot([rt.rgt rt.rgt+.01],[-5 5],'k','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs rgtstart','Tag','RTrgt');
hold off;

axes(findobj('Tag','RTThreshold'));
hold on;
plot([0 10],[rt.top rt.top],'r','EraseMode','xor','ButtonDownFcn', ...
                  'RTMoveCurs topstart','Tag','RTtop');
plot([0 10],[rt.bot rt.bot],'r','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs botstart','Tag','RTbot');
plot([rt.lft rt.lft+.01],[-5 5],'k','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs lftstart','Tag','RTlft');
plot([rt.rgt rt.rgt+.01],[-5 5],'k','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs rgtstart','Tag','RTrgt');
hold off;


axes(findobj('Tag','RTSub'));
hold on;
plot([0 10],[rt.top rt.top],'r','EraseMode','xor','ButtonDownFcn', ...
                  'RTMoveCurs topstart','Tag','RTtop');
plot([0 10],[rt.bot rt.bot],'r','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs botstart','Tag','RTbot');
plot([rt.lft rt.lft+.01],[-5 5],'k','LineStyle','--','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs lftstart','Tag','RTlft');
plot([rt.rgt rt.rgt+.01],[-5 5],'k','EraseMode','xor', ...
     'ButtonDownFcn','RTMoveCurs rgtstart','Tag','RTrgt');
hold off;







