function RTsave1(filename)
%RTsave: save data gathered by recordthresh routines using
%default filename.

global ui
global rt
global InstrumentConfig

% save the file
% Note that current levels and pulse widths
% are stored in rt.tp, rt.suptp, rt.subtp
save(filename,'rt','InstrumentConfig')

% increment the file counter
ui.filenum = dec2base(base2dec(ui.filenum,36)+1,36);

if size(ui.filenum,2) < 2
  ui.filenum = ['0' ui.filenum];
end




