function RTsave2()
%RTsave: save data gathered by recordthresh routines, prompting
%the user for a filename.

global ui
global rt
global InstrumentConfig

datestring = datestr(now,2);
prefix = datestring([1 2 4 5 7 8]);

if isempty(ui.filenum)
  ui.filenum = UIFilNum;
end

filename = [prefix ui.filenum];
[filename,pathname] = uiputfile(filename,'Save File');
if filename

  % save the file
  save([pathname filename],'rt','InstrumentConfig')

  % increment the file counter
  ui.filenum = dec2base(base2dec(ui.filenum,36)+1,36);
  if size(ui.filenum,2) < 2
    ui.filenum = ['0' ui.filenum];
  end

end



