% TPDapStt.m
% aegrumet@alum.mit.edu
% November 1, 1999
%
% Start twopulse DAP routine.  After this routine is run, the DAP will put
% out a waveform for every N data points it gets, where N is defined
% in twpls.dap.


% Open text and binary handles to ACCEL device
textinhandle = dapopen('\\.\dap0\$sysin', 'write');
if textinhandle == -1
   error('Error opening DAP textin handle')
end

% Start the routines
dappstr(textinhandle,'start twplsa, twplsb');

% Close DAP text handle.
textinclose = dapclose(textinhandle);
if textinclose==0
   error('Error closing DAP textin handle')
end

