function [newtp,err] = TPShpLck(oldtp,action)
%TPShpLck: perform operations on a shape-locked waveform
%Note that these routines ignore attempts to change
%pulse delays d1 and d2.

err = 0;

newtp = oldtp;
if strcmp(action(1:2),'lk')
  [newtp,err] = TPLckWds(newtp,action);
  if ~err
    [newtp,err] = TPLckHts(newtp,action);
  end
else
  switch action(1)
    case 'w'
      [newtp,err] = TPLckWds(newtp,action);
    case 'h'
      [newtp,err] = TPLckHts(newtp,action);
  end
end
