function newtp = TPswipd(oldtp,action)
%TPswipd: callback function for twopulse generator, change interpulse delay

newtp = oldtp;

switch action

  case 'ipdl'
    if (newtp.ipd > 0)
      newtp.ipd = newtp.ipd - 5;
    end

  case 'ipdg'
    newtp.ipd = newtp.ipd + 5;

end

set(findobj('Tag','InterPair','Style','text'), ...
  'String',num2str(newtp.ipd*newtp.update_interval));

