function SHplot

a = get(gca,'Children');

xdata = get(a(1),'XData');
xdata = xdata - min(xdata);
ydata = get(a(1),'YData');

if isempty(findobj('Tag','SHfig'))
  SHfig;
  axes(findobj('Tag','SHax'));
hold on
  plot(xdata,ydata,'r');
hold off
  set(findobj('Tag','SHpop'),'String',cellstr('1'));
else
  choices = get(findobj('Tag','SHpop'),'String');
  numchoices = size(choices,1);
  choices{numchoices+1} = num2str(numchoices+1);
  set(findobj('Tag','SHpop'),'String',choices);
  axes(findobj('Tag','SHax'));
hold on
  plot(xdata,ydata);
hold off
  SHsw('newwave');
end
