function browsesw(action)

global br;

switch action

  case 'back'
    if (br.index > 1)
      br.index = br.index - 1;
    else
      br.index = size(br.files,1);
    end

  case 'forward'
    if (br.index < size(br.files,1))
      br.index = br.index + 1;
    else
      br.index = 1;
    end

  case 'channel'
    ChannelNum = double(get(gcbo,'String')) - 64;
    br.inview = bitset(br.inview,ChannelNum,get(gcbo,'Value'));

  case 'goto'
    br.index = get(gcbo,'Value');

  case 'pickone'
    if get(gcbo,'Value') > 1
      br.inview = bitset(0,get(gcbo,'Value')-1);

      for i = 1:8
        if i == (get(gcbo,'Value') - 1)
          set(findobj('Tag',[char(64+i) 'view']),'Value',1)
        else
          set(findobj('Tag',[char(64+i) 'view']),'Value',0)
        end
      end
      set(gcbo,'Value',1);
    end

  case 'allon'
    br.inview = 255;
    for i = 1:8
      set(findobj('Tag',[char(64+i) 'view']),'Value',1)
    end

  case 'lock'
    locktag = get(gcbo,'Tag');
    br.lockaxes = bitset(br.lockaxes,double(locktag(1))-64,get(gcbo,'Value'));

  case 'xmin'
    br.axis(1) = str2num(get(gcbo,'String'));
  case 'xmax'
    br.axis(2) = str2num(get(gcbo,'String'));
  case 'ymin'
    br.axis(3) = str2num(get(gcbo,'String'));
  case 'ymax'
    br.axis(4) = str2num(get(gcbo,'String'));

end

set(findobj('Tag','filelist'),'Value',br.index)
brplot;
